Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ScopeCompletionEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.ScopeCompletionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ScopeCompletionEvent

extends ScopeEvent

Activity completion event.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ScopeCompletionEvent(boolean success, javax.xml.namespace.QName fault)`

Method Summary
`javax.xml.namespace.QName` | `getFault()`
`boolean` | `isSuccess()`
`void` | `setFault(javax.xml.namespace.QName fault)`
`void` | `setSuccess(boolean success)`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, getType, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScopeCompletionEvent

    public ScopeCompletionEvent(boolean success,
                                javax.xml.namespace.QName fault)

Method Detail

### setFault

    public void setFault(javax.xml.namespace.QName fault)

  Parameters:
    `fault` - The fault to set.

### getFault

    public javax.xml.namespace.QName getFault()

  Returns:
    Returns the fault.

### isSuccess

    public boolean isSuccess()

### setSuccess

    public void setSuccess(boolean success)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD